> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/plugin-version-initial-loading-rerun-configuration.md).

# Plugin Version Initial Loading Rerun Configuration

Operations related to Plugin Version Initial Loading Rerun Configurations that control if, how, and at which level initial loading of external feed plugins can be rerun.

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/initial\_loading\_rerun\_configuration

> Get the Initial Loading Rerun Configuration for the Plugin Version

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Initial Loading Rerun Configuration","description":"Operations related to Plugin Version Initial Loading Rerun Configurations that control if, how, and at which level initial loading of external feed plugins can be rerun."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/initial_loading_rerun_configuration":{"get":{"summary":"Get the Initial Loading Rerun Configuration for the Plugin Version","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionInitialLoadingRerunConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"getPluginVersionInitialLoadingRerunConfiguration","parameters":[{"in":"path","schema":{"type":"string"},"required":true,"description":"ID of the plugin","style":"simple","name":"plugin_id","explode":false},{"explode":false,"name":"plugin_version_id","in":"path","description":"ID of the plugin version","style":"simple","schema":{"type":"string"},"required":true}],"tags":["Plugin Version Initial Loading Rerun Configuration"]}}},"components":{"schemas":{"PluginVersionInitialLoadingRerunConfigurationResource":{"type":"object","properties":{"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"reboot_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"created_by":{"type":"string","readOnly":true},"enable_instance_rerun":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","enable_instance_rerun","id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/initial\_loading\_rerun\_configuration

> Update the Plugin Version Initial Loading Rerun Configuration. Create it if not existing.

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Initial Loading Rerun Configuration","description":"Operations related to Plugin Version Initial Loading Rerun Configurations that control if, how, and at which level initial loading of external feed plugins can be rerun."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/initial_loading_rerun_configuration":{"put":{"tags":["Plugin Version Initial Loading Rerun Configuration"],"summary":"Update the Plugin Version Initial Loading Rerun Configuration. Create it if not existing.","description":"","parameters":[{"required":true,"name":"plugin_id","style":"simple","schema":{"type":"string"},"in":"path","explode":false,"description":"ID of the plugin"},{"schema":{"type":"string"},"style":"simple","description":"ID of the plugin version","explode":false,"name":"plugin_version_id","required":true,"in":"path"}],"requestBody":{"description":"The plugin version Initial Loading Rerun Configuration to upsert","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionInitialLoadingRerunConfigurationResource"}}},"required":true},"operationId":"upsertPluginVersionInitialLoadingRerunConfiguration","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionInitialLoadingRerunConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PluginVersionInitialLoadingRerunConfigurationResource":{"type":"object","properties":{"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"plugin_version_id":{"type":"string","readOnly":false},"reboot_period":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"created_by":{"type":"string","readOnly":true},"enable_instance_rerun":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","enable_instance_rerun","id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /plugins/{plugin\_id}/versions/{plugin\_version\_id}/initial\_loading\_rerun\_configuration

> Delete the Plugin Version Initial Loading Rerun Configuration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Initial Loading Rerun Configuration","description":"Operations related to Plugin Version Initial Loading Rerun Configurations that control if, how, and at which level initial loading of external feed plugins can be rerun."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/initial_loading_rerun_configuration":{"delete":{"summary":"Delete the Plugin Version Initial Loading Rerun Configuration","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","required":true,"name":"plugin_id","description":"ID of the plugin","explode":false,"in":"path","schema":{"type":"string"}},{"required":true,"style":"simple","explode":false,"name":"plugin_version_id","schema":{"type":"string"},"description":"ID of the plugin version","in":"path"}],"tags":["Plugin Version Initial Loading Rerun Configuration"],"description":"","operationId":"deletePluginVersionInitialLoadingRerunConfiguration"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/plugin-version-initial-loading-rerun-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
